Connected providers with health, quota, cost, capabilities and routing
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/providers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/providers \ --header 'Authorization: Bearer <token>'Permission: providers:view
Credentials are never returned. Outage, webhooks-silent and rejected-credential states are included when they apply.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
Wait, move or cancel once someone decided
object
object
object
object
object
object
object
object
object
object
Wait, move or cancel once someone decided
object
object
object
object
object
Percent over the last 7 days
object
object
Percent over the last 7 days
object
Dollars this month
object
object
object
Percent of API calls that failed
object
object
object
object
object
object
object
object
object
object
Masked
object
object
object
object
Dollars
object
Example
{ "authFailure": { "down": { "reason": "outage" }, "streams": [ { "campaign": { "otherShares": [ { "color": "ses" } ] }, "policy": "automatic", "role": "primary", "state": "failover_active", "stream": "broadcast" } ] }, "outage": { "down": { "reason": "outage" }, "incidents": [ { "severity": "info" } ], "streams": [ { "campaign": { "otherShares": [ { "color": "ses" } ] }, "policy": "automatic", "role": "primary", "state": "failover_active", "stream": "broadcast" } ] }, "providers": [ { "accountKind": "account", "capabilities": [ { "kind": "yes" } ], "color": "ses", "cost": { "basis": "metered" }, "down": { "reason": "outage" }, "ipMode": "shared", "quota": { "kind": "rolling_24h" }, "roles": [ { "role": "primary", "stream": "broadcast" } ], "status": "healthy", "warmup": { "status": "active" } } ], "routing": [ { "failover": "automatic", "fallback": { "color": "ses" }, "splits": [ { "color": "ses" } ], "stream": "broadcast" } ], "silent": { "awaiting": [ { "status": "accepted" } ], "broadcastPolicy": "automatic", "checks": [ { "key": "api" } ] }, "summary": { "byStatus": [ { "status": "healthy" } ] }}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}